MongoCollection::getDBRef
MongoCollection::getName
MongoCollection
PHP Manual

# MongoCollection::getIndexInfo

Returns information about indexes on this collection

### Description

public array MongoCollection::getIndexInfo ( void )

### Parameters

This function has no parameters.

### Return Values

This function returns an array in which each element describes an index. Elements will contain the values name for the name of the index, ns for the namespace (a combination of the database and collection name), and key for a list of all fields in the index and their ordering. Additional values may be present for special indexes, such as unique or sparse.

### Examples

Example #1 MongoCollection::getIndexInfo example

`<?php
$m = new MongoClient();
$c = $m->selectCollection('test', 'venues');
var_dump($c->getIndexInfo());
?>`

The above example will output something similar to:

    array(
      0 => array(
        "v" => 1,
        "key" => array(
          "_id" => 1,
        ),
        "ns" => "test.venues",
        "name" => "_id_",
      ),
      1 => array(
        "v" => 1,
        "key" => array(
          "name" => 1,
        ),
        "unique" : true,
        "ns" => "test.venues",
        "name" => "name_1",
      ),
      2 => array(
        "v" => 1,
        "key" => array(
          "type" => 1,
          "createdAt" => -1,
        ),
        "ns" => "test.venues",
        "name" => "type_1_createdAt_-1",
      ),
      3 => array(
        "v" => 1,
        "key" => array(
          "location" => "2d",
        ),
        "ns" => "test.venues",
        "name" => "location_2d",
      ),
    )

### See Also

MongoDB core docs on » vanilla indexes and » geospatial indexes.